Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QueuedConnectionReader Class Reference

This flavor of ConnectionReader will read from its sockets and queue up all of the datagrams read for later receipt by the client code. More...

Inheritance diagram for QueuedConnectionReader:

List of all members.

## Public Member Functions
| QueuedConnectionReader (ConnectionManager manager, int num_threads)
bool | dataAvailable ()
| Returns true if a datagram is available on the queue; call get_data() to extract the datagram.
bool | getData (Datagram result)
| This flavor of QueuedConnectionReader.get_data(), works like the other, except that it only fills a Datagram object, not a NetDatagram object.
bool | getData (NetDatagram result)
| If a previous call to data_available() returned true, this function will return the datagram that has become available.

## Detailed Description

This flavor of ConnectionReader will read from its sockets and queue up all of the datagrams read for later receipt by the client code.

This class is useful for client code that doesn't want to deal with threading and is willing to poll for datagrams at its convenience.

## Constructor & Destructor Documentation

QueuedConnectionReader | ( | ConnectionManager | manager,
|  | int | num_threads
| ) |  |

## Member Function Documentation

bool dataAvailable | ( |  | ) |

Returns true if a datagram is available on the queue; call get_data() to extract the datagram.

bool getData | ( | NetDatagram | result | ) |

If a previous call to data_available() returned true, this function will return the datagram that has become available.

The return value is true if a datagram was successfully returned, or false if there was, in fact, no datagram available. (This may happen if there are multiple threads accessing the QueuedConnectionReader).

bool getData | ( | Datagram | result | ) |

This flavor of QueuedConnectionReader.get_data(), works like the other, except that it only fills a Datagram object, not a NetDatagram object.

This means that the Datagram cannot be queried for its source Connection and/or NetAddress, but it is useful in all other respects.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties